function decPaste = recomputeMeasureData(decPaste, decCopy)
% recompute measure information according to original dec
%
% THIS IS NO USER FUNCTION

% measure data is regenerated according to the measures stored in DEC. The
%   information in the original decomposition is not complete and currently
%   this approach ich by far more simple (and less error prone) than
%   reusing already existent information and adding missing ones.

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2014 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

if ~isfield(decCopy, 'measureData') || isempty(decCopy.measureData)
    return
end
measureList = fieldnames(decCopy.measureData);
for iMeasure = 1:length(measureList)
    decPaste = addMeasureDataDec(decPaste, measureList{iMeasure}, ...
        decCopy.measureData.(measureList{iMeasure}).par);
end